<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.MunicipalMisprintMapper">
    
    <resultMap type="MunicipalMisprint" id="MunicipalMisprintResult">
    	<id     property="id"      column="id"      />
        <result property="misprintName"    column="misprint_name"    />
        <result property="misprintCount"     column="misprint_count"     />
    </resultMap>
    
    <sql id="selectMunicipalMisprintVo">
        select id, misprint_name, misprint_count from sooka_municipal_misprint
    </sql>

    <select id="selectMunicipalMisprintList" parameterType="MunicipalMisprint" resultMap="MunicipalMisprintResult">
        <include refid="selectMunicipalMisprintVo"/>
    </select>

	<delete id="deleteMunicipalMisprintAll" parameterType="Long">
		delete from sooka_municipal_misprint
	</delete>

	<insert id="insertBatch">
		insert into sooka_municipal_misprint (misprint_name, misprint_count) values
		<foreach item="item" collection="list" separator=",">
			(#{item.misprintName},#{item.misprintCount})
		</foreach>
	</insert>


</mapper>